*****************************************************************************
*                                         Copyright (c) Motorola 2002		*
*  File Name:	ICP-KBD.ASM													*
*                        													*
*  Description:	set USB ICP routine											*
*                                                                          	*
*  Assembler:	CodeWarrior													*
*  Version:		2.1								                        	*
*																			*
*  Current Revision:	1.0													*
*  Current Revision Release Date: 2002.10.10 by Derek Lau					*
*																			*
*  Updated History															*
*   Rev		YYYY.MM.DD  Author			Description of Change				*
*	---		----------- ------			---------------------				*
*	0.1		2001.12.20	Derek Lau		original release					*
*	1.0		2002.10.10	Derek Lau		general release						*
*****************************************************************************
* This Program is a freeware to demonstrate the operation of Motorola		*
* Microcontroller. Motorola reserves the right to make changes without		*
* further notice to any product herein to improve reliability, function, or *
* design. Motorola does	not assume any liability arising out of the 		*
* application or use of any product, circuit, or software described herein; *
* neither does it convey any license under its patent rights nor the rights *
* of others. Motorola products are not designed, intended, or authorized 	*
* for use as components	in systems intended for surgical implant into the	*
* body, or other applications intended to support life, or for any other	*
* application in which the failure of the Motorola product could create a	*
* situation where personal injury or death may occur. Should Buyer purchase	*
* or use Motorola products for any such intended or unauthorized 			*
* application, Buyer shall indemnify and hold Motorola and its officers,	*
* employees, subsidiaries, affiliates, and distributors harmless against	*
* all claims, costs, damages, and expenses, and reasonable attorney fees	*
* arising out of, directly or indirectly, any claim of personal injury or	*
* death associated with such unintended or unauthorized use, even if such	*
* claim alleges that Motorola was negligent regarding the design or 		*
* manufacture of the part. Motorola	and the Motorola logo* are registered	*
* trademarks of Motorola Inc												*
*****************************************************************************
K_Ack_Pass		EQU     $00
K_Ack_Fail		EQU     $01
K_Ack_Error		EQU		$02


* ---------------------------------------------------------------------	*
* Ack_Pass or Fail - Acknowledge Result 				                *
* Output Result through EP1												*
*		Pass:	#K_Ack_Pass												*
*		Fail:	#K_Ack_Fail												*
*		Error:	#K_Ack_Error											*
* In	:   	       												    *
* Out	: 																*
*																		*
* Call 	:																*
* Note	:																*
* ---------------------------------------------------------------------	*
Ack_Pass:
		lda		#K_Ack_Pass			
		bra		Ack_Result

Ack_Error:
		lda		#K_Ack_Error
		bra		Ack_Result

Ack_Fail:
		lda		#K_Ack_Fail

Ack_Result:
		sta		Q_Feat0_Rpt				; put ACK to input report buffer
;        bset    b_NIRPT0,V_Dev_Status	; force new report			
        rts

Prog_ICP_Flag:
		bclr	b_TX1E,UCR1			; disable ack result during processing

*Check_ICP_Code
		
;		ldhx	#K_Feat0_Size		; get output report size
		ldhx	#8
Check_ICP_Code:
		lda		(Q_Feat0_Rpt-1),x	; get output report
		cmp		($FFD6-1),x			; compare ICP code
;		bne		PIF_Fail			; fail if not match
		bne		PIF_Error
		dbnzx	Check_ICP_Code

*Program ICP FLAG
		mov		#K_CPUSPD,V_Mon_CPUSPD	; CPUSPD=4*cpu speed in MHz
		lda		#$F8
		sta		FLBPR				;unprotect FLASH
		jsr		Write_ICP_Flag
		clra
		sta		FLBPR				; protect FLASH

PIF_Verify:
		lda		(ICP_Flag)		; get ICP FLAG 
		ora		(ICP_FLAG+1)
		beq		PIF_Pass


PIF_Fail:		
		jsr		Ack_Fail
		clrh
		rts

PIF_Error:
		jsr		Ack_Error
		clrh
		rts

PIF_Pass:
		jsr		Ack_Pass
		clrh
		rts		


;Write_ICP_Flag: ;for testing only
		rts



Write_ICP_Flag:
		clra
		sta		Q_Mon_ProgBuf		; clear ICP Flag
		sta		(Q_Mon_ProgBuf+1)
		ldhx	#(ICP_Flag+1)		; get ICP Address
		sthx	V_Mon_LADDR
		ldhx	#(ICP_Flag)
		jsr		Mon_ProgFLASH
		clrh
		rts



