*****************************************************************************
*                                         Copyright (c) Motorola 2002		*
*  File Name:	APPVECTOR.H													*
*                        													*
*  Description:	JB8_ICP is a pre-loaded firmware that allows user to do		*
*				the firmware upgrade through the USB interface				*
*                                                                          	*
*  Assembler:	CodeWarrior													*
*  Version:		2.1								                        	*
*																			*
*  Current Revision:	1.0													*
*  Current Revision Release Date: 2002.10.10 by Derek Lau					*
*																			*
*  Updated History															*
*   Rev		YYYY.MM.DD  Author			Description of Change				*
*	---		----------- ------			---------------------				*
*	1.0		2002/10/10	Derek Lau		General release						*
*****************************************************************************
* This Program is a freeware to demonstrate the operation of Motorola		*
* Microcontroller. Motorola reserves the right to make changes without		*
* further notice to any product herein to improve reliability, function, or *
* design. Motorola does	not assume any liability arising out of the 		*
* application or use of any product, circuit, or software described herein; *
* neither does it convey any license under its patent rights nor the rights *
* of others. Motorola products are not designed, intended, or authorized 	*
* for use as components	in systems intended for surgical implant into the	*
* body, or other applications intended to support life, or for any other	*
* application in which the failure of the Motorola product could create a	*
* situation where personal injury or death may occur. Should Buyer purchase	*
* or use Motorola products for any such intended or unauthorized 			*
* application, Buyer shall indemnify and hold Motorola and its officers,	*
* employees, subsidiaries, affiliates, and distributors harmless against	*
* all claims, costs, damages, and expenses, and reasonable attorney fees	*
* arising out of, directly or indirectly, any claim of personal injury or	*
* death associated with such unintended or unauthorized use, even if such	*
* claim alleges that Motorola was negligent regarding the design or 		*
* manufacture of the part. Motorola	and the Motorola logo* are registered	*
* trademarks of Motorola Inc												*
*****************************************************************************

JMP_KBD_ISR		EQU		$F7DA	; Keyboard
JMP_SCI_TX_ISR	EQU		$F7DD	; SCI transmit
JMP_SCI_RX_ISR	EQU		$F7E0	; SCI receive
JMP_SCI_ERR_ISR	EQU		$F7E3	; SCI error
JMP_T2OF_ISR	EQU		$F7E6	; TIM2 overflow	
JMP_T2CH01_ISR	EQU		$F7E9	; TIM Ch2_10
JMP_T2CH1_ISR	EQU		$F7EC	; TIM Ch2_1
JMP_T2CH0_ISR	EQU		$F7EF	; TIM Ch2_0
JMP_T1OF_ISR	EQU		$F7F2	; TIM1 overflow
JMP_T1CH01_ISR	EQU		$F7F5	; TIM Ch1_10
JMP_T1CH1_ISR	EQU		$F7F8	; TIM Ch1_1
JMP_T1CH0_ISR	EQU		$DE89	; TIM Ch1_0 (security bits)
JMP_IRQ_ISR		EQU		$F0F3	; IRQ1 (security bits)
JMP_USB_ISR		EQU		$F537	; USB device (security bits)
JMP_SWI_ISR		EQU		$E445	; SWI (security bits)
JMP_Reset_Init	EQU		$F7FB	; Reset vector
ICP_Flag		EQU		$F7FE
