*****************************************************************************
*                                                                           *
*                    HC908JB16 Part Specific Framework						*
*                                                                           *
*****************************************************************************
*                                                                           *
* File Name: JB16-EQS.H                       Copyright (c) Motorola 2002   *
*                                                                           *
* Current Revision: 1.0                                                     *
* Current Revision Release Date: 2002.01.02 by Derek Lau                    *
*                                                                           *
*  Assembler:	CodeWarrior													*
*  Version:		2.1								                        	*
*																			*
*  Update History:															*
*	Rev		YYYY.MM.DD	Author			Description of Change				*
* 	---		----------	------			----------------------				*
*   1.0		2002.01.02	Derek lau		orginal released					*
*****************************************************************************
* This Program is a freeware to demonstrate the operation of Motorola		*
* Microcontroller. Motorola reserves the right to make changes without		*
* further notice to any product herein to improve reliability, function, or *
* design. Motorola does	not assume any liability arising out of the 		*
* application or use of any product, circuit, or software described herein; *
* neither does it convey any license under its patent rights nor the rights *
* of others. Motorola products are not designed, intended, or authorized 	*
* for use as components	in systems intended for surgical implant into the	*
* body, or other applications intended to support life, or for any other	*
* application in which the failure of the Motorola product could create a	*
* situation where personal injury or death may occur. Should Buyer purchase	*
* or use Motorola products for any such intended or unauthorized 			*
* application, Buyer shall indemnify and hold Motorola and its officers,	*
* employees, subsidiaries, affiliates, and distributors harmless against	*
* all claims, costs, damages, and expenses, and reasonable attorney fees	*
* arising out of, directly or indirectly, any claim of personal injury or	*
* death associated with such unintended or unauthorized use, even if such	*
* claim alleges that Motorola was negligent regarding the design or 		*
* manufacture of the part. Motorola	and the Motorola logo* are registered	*
* trademarks of Motorola Inc												*
*****************************************************************************
*                                                                            *
*                            Register Equates                                *
*                                                                            *
******************************************************************************

*************************************************************
* PORT I/O
*************************************************************
PTA             EQU     $00             ;I/O PORT A
b_PTA7:         EQU     7               ;PTA7 Input/Output Value
b_PTA6:         EQU     6               ;PTA6 Input/Output Value
b_PTA5:         EQU     5               ;PTA5 Input/Output Value
b_PTA4:         EQU     4               ;PTA4 Input/Output Value
b_PTA3:         EQU     3               ;PTA3 Input/Output Value
b_PTA2:         EQU     2               ;PTA2 Input/Output Value
b_PTA1:         EQU     1               ;PTA1 Input/Output Value
b_PTA0:         EQU     0               ;PTA0 Input/Output Value
b_PTA7.:        EQU     %10000000       ;PTA7 Input/Output Value
b_PTA6.:        EQU     %01000000       ;PTA6 Input/Output Value
b_PTA5.:        EQU     %00100000       ;PTA5 Input/Output Value
b_PTA4.:        EQU     %00010000       ;PTA4 Input/Output Value
b_PTA3.:        EQU     %00001000       ;PTA3 Input/Output Value
b_PTA2.:        EQU     %00000100       ;PTA2 Input/Output Value
b_PTA1.:        EQU     %00000010       ;PTA1 Input/Output Value
b_PTA0.:        EQU     %00000001       ;PTA0 Input/Output Value


PTB             EQU     $01             ;I/O PORT B
b_PTB7          EQU     7               ;PTB7 Input/Output Value
b_PTB6          EQU     6               ;PTB6 Input/Output Value
b_PTB5          EQU     5               ;PTB5 Input/Output Value
b_PTB4          EQU     4               ;PTB4 Input/Output Value
b_PTB3          EQU     3               ;PTB3 Input/Output Value
b_PTB2          EQU     2               ;PTB2 Input/Output Value
b_PTB1          EQU     1               ;PTB1 Input/Output Value
b_PTB0          EQU     0               ;PTB0 Input/Output Value

b_PTB7.         EQU     %10000000       ;PTB7 Input/Output Value
b_PTB6.         EQU     %01000000       ;PTB6 Input/Output Value
b_PTB5.         EQU     %00100000       ;PTB5 Input/Output Value
b_PTB4.         EQU     %00010000       ;PTB4 Input/Output Value
b_PTB3.         EQU     %00001000       ;PTB3 Input/Output Value
b_PTB2.         EQU     %00000100       ;PTB2 Input/Output Value
b_PTB1.         EQU     %00000010       ;PTB1 Input/Output Value
b_PTB0.         EQU     %00000001       ;PTB0 Input/Output Value


PTC             EQU     $02             ;I/O PORT C
b_PTC7          EQU     7               ;PTC7 Input/Output Value
b_PTC6          EQU     6               ;PTC6 Input/Output Value
b_PTC5          EQU     5               ;PTC5 Input/Output Value
b_PTC4          EQU     4               ;PTC4 Input/Output Value
b_PTC3          EQU     3               ;PTC3 Input/Output Value
b_PTC2          EQU     2               ;PTC2 Input/Output Value
b_PTC1          EQU     1               ;PTC1 Input/Output Value
b_PTC0          EQU     0               ;PTC0 Input/Output Value

b_PTC7.         EQU     %10000000       ;PTC7 Input/Output Value
b_PTC6.         EQU     %01000000       ;PTC6 Input/Output Value
b_PTC5.         EQU     %00100000       ;PTC5 Input/Output Value
b_PTC4.         EQU     %00010000       ;PTC4 Input/Output Value
b_PTC3.         EQU     %00001000       ;PTC3 Input/Output Value
b_PTC2.         EQU     %00000100       ;PTC2 Input/Output Value
b_PTC1.         EQU     %00000010       ;PTC1 Input/Output Value
b_PTC0.         EQU     %00000001       ;PTC0 Input/Output Value


PTD             EQU     $03             ;I/O PORT D
b_PTD7          EQU     7               ;PTD7 Input/Output Value
b_PTD6          EQU     6               ;PTD6 Input/Output Value
b_PTD5          EQU     5               ;PTD5 Input/Output Value
b_PTD4          EQU     4               ;PTD4 Input/Output Value
b_PTD3          EQU     3               ;PTD3 Input/Output Value
b_PTD2          EQU     2               ;PTD2 Input/Output Value
b_PTD1          EQU     1               ;PTD1 Input/Output Value
b_PTD0          EQU     0               ;PTD0 Input/Output Value

b_PTD7.         EQU     %10000000       ;PTD7 Input/Output Value
b_PTD6.         EQU     %01000000       ;PTD6 Input/Output Value
b_PTD5.         EQU     %00100000       ;PTD5 Input/Output Value
b_PTD4.         EQU     %00010000       ;PTD4 Input/Output Value
b_PTD3.         EQU     %00001000       ;PTD3 Input/Output Value
b_PTD2.         EQU     %00000100       ;PTD2 Input/Output Value
b_PTD1.         EQU     %00000010       ;PTD1 Input/Output Value
b_PTD0.         EQU     %00000001       ;PTD0 Input/Output Value


DDRA            EQU     $04             ;Port A Data Direction
b_DDRA7         EQU     7               ;PTA7 Data Direction
b_DDRA6         EQU     6               ;PTA6 Data Direction
b_DDRA5         EQU     5               ;PTA5 Data Direction
b_DDRA4         EQU     4               ;PTA4 Data Direction
b_DDRA3         EQU     3               ;PTA3 Data Direction
b_DDRA2         EQU     2               ;PTA2 Data Direction
b_DDRA1         EQU     1               ;PTA1 Data Direction
b_DDRA0         EQU     0               ;PTA0 Data Direction

b_DDRA7.        EQU     %10000000       ;PTA7 Data Direction
b_DDRA6.        EQU     %01000000       ;PTA6 Data Direction
b_DDRA5.        EQU     %00100000       ;PTA5 Data Direction
b_DDRA4.        EQU     %00010000       ;PTA4 Data Direction
b_DDRA3.        EQU     %00001000       ;PTA3 Data Direction
b_DDRA2.        EQU     %00000100       ;PTA2 Data Direction
b_DDRA1.        EQU     %00000010       ;PTA1 Data Direction
b_DDRA0.        EQU     %00000001       ;PTA0 Data Direction


DDRB            EQU     $05             ;Port B Data Direction
b_DDRB7         EQU     7               ;PTB7 Data Direction
b_DDRB6         EQU     6               ;PTB6 Data Direction
b_DDRB5         EQU     5               ;PTB5 Data Direction
b_DDRB4         EQU     4               ;PTB4 Data Direction
b_DDRB3         EQU     3               ;PTB3 Data Direction
b_DDRB2         EQU     2               ;PTB2 Data Direction
b_DDRB1         EQU     1               ;PTB1 Data Direction
b_DDRB0         EQU     0               ;PTB0 Data Direction

b_DDRB7.        EQU     %10000000       ;PTB7 Data Direction
b_DDRB6.        EQU     %01000000       ;PTB6 Data Direction
b_DDRB5.        EQU     %00100000       ;PTB5 Data Direction
b_DDRB4.        EQU     %00010000       ;PTB4 Data Direction
b_DDRB3.        EQU     %00001000       ;PTB3 Data Direction
b_DDRB2.        EQU     %00000100       ;PTB2 Data Direction
b_DDRB1.        EQU     %00000010       ;PTB1 Data Direction
b_DDRB0.        EQU     %00000001       ;PTB0 Data Direction


DDRC            EQU     $06             ;Port C Data Direction
b_DDRC7         EQU     7               ;PTC7 Data Direction
b_DDRC6         EQU     6               ;PTC6 Data Direction
b_DDRC5         EQU     5               ;PTC5 Data Direction
b_DDRC4         EQU     4               ;PTC4 Data Direction
b_DDRC3         EQU     3               ;PTC3 Data Direction
b_DDRC2         EQU     2               ;PTC2 Data Direction
b_DDRC1         EQU     1               ;PTC1 Data Direction
b_DDRC0         EQU     0               ;PTC0 Data Direction

b_DDRC7.        EQU     %10000000       ;PTC7 Data Direction
b_DDRC6.        EQU     %01000000       ;PTC6 Data Direction
b_DDRC5.        EQU     %00100000       ;PTC5 Data Direction
b_DDRC4.        EQU     %00010000       ;PTC4 Data Direction
b_DDRC3.        EQU     %00001000       ;PTC3 Data Direction
b_DDRC2.        EQU     %00000100       ;PTC2 Data Direction
b_DDRC1.        EQU     %00000010       ;PTC1 Data Direction
b_DDRC0.        EQU     %00000001       ;PTC0 Data Direction


DDRD            EQU     $07             ;Port D Data Direction
b_DDRD7         EQU     7               ;PTD7 Data Direction
b_DDRD6         EQU     6               ;PTD6 Data Direction
b_DDRD5         EQU     5               ;PTD5 Data Direction
b_DDRD4         EQU     4               ;PTD4 Data Direction
b_DDRD3         EQU     3               ;PTD3 Data Direction
b_DDRD2         EQU     2               ;PTD2 Data Direction
b_DDRD1         EQU     1               ;PTD1 Data Direction
b_DDRD0         EQU     0               ;PTD0 Data Direction

b_DDRD7.        EQU     %10000000       ;PTD7 Data Direction
b_DDRD6.        EQU     %01000000       ;PTD6 Data Direction
b_DDRD5.        EQU     %00100000       ;PTD5 Data Direction
b_DDRD4.        EQU     %00010000       ;PTD4 Data Direction
b_DDRD3.        EQU     %00001000       ;PTD3 Data Direction
b_DDRD2.        EQU     %00000100       ;PTD2 Data Direction
b_DDRD1.        EQU     %00000010       ;PTD1 Data Direction
b_DDRD0.        EQU     %00000001       ;PTD0 Data Direction


PTE             EQU     $08             ;I/O PORT E
PTE4            EQU     4               ;PTE4 Input/Output Value
PTE3            EQU     3               ;PTE3 Input/Output Value
PTE2            EQU     2               ;PTE2 Input/Output Value
PTE1            EQU     1               ;PTE1 Input/Output Value
PTE0            EQU     0               ;PTE0 Input/Output Value

PTE4.           EQU     %00010000       ;PTE4 Input/Output Value
PTE3.           EQU     %00001000       ;PTE3 Input/Output Value
PTE2.           EQU     %00000100       ;PTE2 Input/Output Value
PTE1.           EQU     %00000010       ;PTE1 Input/Output Value
PTE0.           EQU     %00000001       ;PTE0 Input/Output Value


DDRE            EQU     $09             ;Port E Data Direction
b_DDRE4         EQU     4               ;PTE4 Data Direction
b_DDRE3         EQU     3               ;PTE3 Data Direction
b_DDRE2         EQU     2               ;PTE2 Data Direction
b_DDRE1         EQU     1               ;PTE1 Data Direction
b_DDRE0         EQU     0               ;PTE0 Data Direction

b_DDRE4.        EQU     %00010000       ;PTE4 Data Direction
b_DDRE3.        EQU     %00001000       ;PTE3 Data Direction
b_DDRE2.        EQU     %00000100       ;PTE2 Data Direction
b_DDRE1.        EQU     %00000010       ;PTE1 Data Direction
b_DDRE0.        EQU     %00000001       ;PTE0 Data Direction


*************************************************************
* TIM - Timer Interface Module
*************************************************************
* Timer
TSC             EQU     $0A             ;Timer status and control
b_TOF           equ 7                   ;  TIM overflow flag            [r/o]
b_TOIE          equ 6                   ;  =1  TOF interrupt enable
b_TSTOP         equ 5                   ;  =1  TIM counter stopped
b_TRST          equ 4                   ;  =1  clr TIM cntr & prescalar [w/o]
b_PS2           equ 2                   ;  Ŀ
b_PS1           equ 1                   ;     = CPU clock/(2^[PS2..PS0])
b_PS0           equ 0                   ;    TIM clock

TCNTH           EQU     $0C             ;Timer counter register high byte
TCNTL           EQU     $0D             ;Timer counter register low byte
TMODH           EQU     $0E             ;Timer counter modulo high byte
TMODL           EQU     $0F             ;Timer counter modulo low byte

TSC0            EQU     $10             ;Timer channel 0 status and control
b_CH0F          equ 7                   ;  Ch0 IC/OC flag             [r/o]
b_CH0IE         equ 6                   ;  =1  CH0F interrupt enable
b_MS0B          equ 5                   ;  =1  buffered OC/PWM enable
b_MS0A          equ 4                   ;  =1  OC/PWM mode  / =0  IC mode
b_ELS0B         equ 3                   ;  Ŀ
b_ELS0A         equ 2                   ;    see Table 11-3, p.176
b_TOV0          equ 1                   ;  =1  Ch0 pin toggle on TIM overflow
b_CH0MAX        equ 0                   ;  =1  100% duty cycle PWM at Ch0 pin


TCH0H           EQU     $11             ;Timer channel 0 high byte
TCH0L           EQU     $12             ;Timer channel 0 low byte

TSC1            EQU     $13             ;Timer channel 1 status and control
b_CH1F          equ 7                   ;  Ch1 IC/OC flag                   [r/o]
b_CH1IE         equ 6                   ;  =1  CH1F interrupt enable
b_MS1A          equ 4                   ;  =1  OC/PWM mode  / =0  IC mode
b_ELS1B         equ 3                   ;  Ŀ
b_ELS1A         equ 2                   ;    see Table 11-3, p.176
b_TOV1          equ 1                   ;  =1  Ch1 pin toggle on TIM overflow
b_CH1MAX        equ 0                   ;  =1  100% duty cycle PWM at Ch1 pin

TCH1H           EQU     $14             ;Timer channel 1 high byte
TCH1L           EQU     $15             ;Timer channel 1 low byte


*************************************************************
* KBI - Keyboard Interrupt Module
*************************************************************
KBSCR           EQU     $16             ;Keyboard status and control
b_KEYF          EQU     3               ;Keyboard Interrupt Flag
b_ACKK          EQU     2               ;Keyboard Interrupt Request Acknowledge
b_IMASKK        EQU     1               ;Keyboard Interrupt Mask
b_MODEK         EQU     0               ;Keyboard Edge Only or Edge and Level

b_KEYF.         EQU     %00001000       ;Keyboard Interrupt Flag
b_ACKK.         EQU     %00000100       ;Keyboard Interrupt Request Acknowledge
b_IMASKK.       EQU     %00000010       ;Keyboard Interrupt Mask
b_MODEK.        EQU     %00000001       ;Keyboard Edge Only or Edge and Level


KBIER           EQU     $17             ;Keyboard interrupt enable
b_KBIE7         EQU     7               ;PTA7 Interrupt Enable
b_KBIE6         EQU     6               ;PTA6 Interrupt Enable
b_KBIE5         EQU     5               ;PTA5 Interrupt Enable
b_KBIE4         EQU     4               ;PTA4 Interrupt Enable
b_KBIE3         EQU     3               ;PTA3 Interrupt Enable
b_KBIE2         EQU     2               ;PTA2 Interrupt Enable
b_KBIE1         EQU     1               ;PTA1 Interrupt Enable
b_KBIE0         EQU     0               ;PTA0 Interrupt Enable

b_KBIE7.        EQU     %10000000       ;PTA7 Interrupt Enable
b_KBIE6.        EQU     %01000000       ;PTA6 Interrupt Enable
b_KBIE5.        EQU     %00100000       ;PTA5 Interrupt Enable
b_KBIE4.        EQU     %00010000       ;PTA4 Interrupt Enable
b_KBIE3.        EQU     %00001000       ;PTA3 Interrupt Enable
b_KBIE2.        EQU     %00000100       ;PTA2 Interrupt Enable
b_KBIE1.        EQU     %00000010       ;PTA1 Interrupt Enable
b_KBIE0.        EQU     %00000001       ;PTA0 Interrupt Enable

*************************************************************
; USB Interrupt Register 2
*************************************************************
UIR2            EQU     $0018           ;USB Interrupt Register 2
b_EOPFR         EQU     7               ;EOP Detect Flag Reset
b_RSTFR         EQU     6               ;USB Reset Flag Reset
b_TXD2FR        EQU     5               ;EP2 Data Tx Flag Reset
b_RXD2FR        EQU     4               ;EP2 Data Rx Flag Reset
b_TXD1FR        EQU     3               ;EP1 Data Tx Flag Reset
b_RESUMFR       EQU     2               ;Resume Flag Reset
b_TXD0FR        EQU     1               ;EP0 Data Tx Flag Reset
b_RXD0FR        EQU     0               ;EP0 Data Rx Flag Reset

b_EOPFR.        EQU     %10000000       ;EOP Detect Flag Reset
b_RSTFR.        EQU     %01000000       ;USB Reset Flag Reset
b_TXD2FR.       EQU     %00100000       ;EP2 Data Tx Flag Reset
b_RXD2FR.       EQU     %00010000       ;EP2 Data Rx Flag Reset
b_TXD1FR.       EQU     %00001000       ;EP1 Data Tx Flag Reset
b_RESUMFR.      EQU     %00000100       ;Resume Flag Reset
b_TXD0FR.       EQU     %00000010       ;EP0 Data Tx Flag Reset
b_RXD0FR.       EQU     %00000001       ;EP0 Data Rx Flag Reset


*************************************************************
; USB Control Register 2
*************************************************************
UCR2            EQU     $0019           ;USB Control Register 1
b_T2SEQ         EQU     7               ;Endpoint 2 Tx Sequence bit
b_STALL2        EQU     6               ;Endpoint 2 Force STALL bit
b_TX2E          EQU     5               ;Endpoint 2 Tx Enable
b_RX2E          EQU     4               ;Endpoint 2 Rx Enable
b_TP2SIZ3       EQU     3               ;EP2 Tx Data Packet Size b_3
b_TP2SIZ2       EQU     2               ;EP2 Tx Data Packet Size b_2
b_TP2SIZ1       EQU     1               ;EP2 Tx Data Packet Size b_1
b_TP2SIZ0       EQU     0               ;EP2 Tx Data Packet Size b_0

b_T2SEQ.        EQU     %10000000       ;Endpoint 2 Tx Sequence bit
b_STALL2.       EQU     %01000000       ;Endpoint 2 Force STALL bit
b_TX2E.         EQU     %00100000       ;Endpoint 2 Tx Enable
b_RX2E.         EQU     %00010000       ;Endpoint 2 Rx Enable
b_TP2SIZ3.      EQU     %00001000       ;EP2 Tx Data Packet Size b_3
b_TP2SIZ2.      EQU     %00000100       ;EP2 Tx Data Packet Size b_2
b_TP2SIZ1.      EQU     %00000010       ;EP2 Tx Data Packet Size b_1
b_TP2SIZ0.      EQU     %00000001       ;EP2 Tx Data Packet Size b_0

*************************************************************
; USB Control Register 3
*************************************************************
UCR3            EQU     $001A           ;USB Control Register 3
b_TX1ST         EQU     7               ;EP0 Tx First Flag
b_TX1STR        EQU     6               ;Clear EP0 Tx First Flag
b_OSTALL0       EQU     5               ;OUT EP0 Force STALL bit
b_ISTALL0       EQU     4               ;IN EP0 Force STALL bit
b_PULLEN        EQU     2               ;Pullup Enable
b_ENABLE2       EQU     1               ;EP2 Enable
b_ENABLE1       EQU     0               ;EP1 Enable

b_TX1ST.        EQU     %10000000       ;EP0 Tx First Flag
b_TX1STR.       EQU     %01000000       ;Clear EP0 Tx First Flag
b_0STALL0.      EQU     %00100000       ;OUT EP0 Force STALL bit
b_ISTALL0.      EQU     %00010000       ;IN EP0 Force STALL bit
b_PULLEN.       EQU     %00000100       ;Pullup Enable
b_ENABLE2.      EQU     %00000010       ;EP2 Enable
b_ENABLE1.      EQU     %00000001       ;EP1 Enable

*************************************************************
; USB Control Register 4
*************************************************************
UCR4            EQU     $001B           ;USB Control Register 4
b_FUSBO         EQU     2               ;Force USB Output
b_DP            EQU     1               ;D+
b_DM            EQU     0               ;D-

b_FUSB0.        EQU     %00000100       ;Force USB Output
b_DP.           EQU     %00000010       ;D+
b_DM.           EQU     %00000001       ;D-
*************************************************************
; IRQ Option Control Register
*************************************************************
IOCR:           EQU     $001C           ;IRQ Option Control Register
b_PTE4TF:         EQU     2               ;PTE Trigger Flag
B_PTE4IE:         EQU     1               ;PTE Interrupt Flag
B_IRQPD:          EQU     0               ;IRQ Pull up disable

B_PTE4TF.:        EQU     %00000100       ;PTE Trigger Flag
B_PTE4IE.:        EQU     %00000010       ;PTE Interrupt Flag
B_IRQPD.:         EQU     %00000001       ;IRQ Pull up disable



*************************************************************
; Port Option Control Register
*************************************************************
POC             EQU     $001D           ;Port Option Control Register
b_PTDLDD          EQU     6               ;LED Direct Drive Control
b_PTDILDD         EQU     5               ;Infrared LED Drive Control
b_PTE4P           EQU     4               ;Pin PTE4 Pullup Enable
b_PTE3P           EQU     3               ;Pin PTE3 Pullup Enable
b_PCP             EQU     2               ;Port C Pullup Enable
b_PBP             EQU     1               ;Port B Pullup Enable
b_PAP             EQU     0               ;Port A Pullup Enable

PTDLDD.:        EQU     %01000000       ;LED Direct Drive Control
PTDILDD.:       EQU     %00100000       ;Infrared LED Drive Control
PTE4P.:         EQU     %00010000       ;Pin PTE4 Pullup Enable
PTE3P.:         EQU     %00001000       ;Pin PTE3 Pullup Enable
PCP.:           EQU     %00000100       ;Port C Pullup Enable
PBP.:           EQU     %00000010       ;Port B Pullup Enable
PAP.:           EQU     %00000001       ;Port A Pullup Enable



*************************************************************
; IRQ Status and Control Register
*************************************************************
ISCR            EQU     $001E           ;IRQ Status and Control Register
b_IRQF1           EQU     3               ;IRQ1 Interrupt Flag
b_ACK1            EQU     2               ;IRQ1 Interrupt Request Acknowledge
b_IMASK1          EQU     1               ;IRQ1 Interrupt Mask
b_MODE1           EQU     0               ;IRQ1 Edge Only or Edge and Level

b_IRQF1.          EQU     %00001000       ;IRQ1 Interrupt Flag
b_ACK1.           EQU     %00000100       ;IRQ1 Interrupt Request Acknowledge
b_IMASK1.         EQU     %00000010       ;IRQ1 Interrupt Mask
b_MODE1.          EQU     %00000001       ;IRQ1 Edge Only or Edge and Level



*************************************************************
* CONFIG REGISTER;                                                                            *
*************************************************************
CONFIG          EQU     $1F             ;CONFIG REGISTER
b_URSTD         EQU     5               ;USB Reset Disable
b_LVIEN         EQU     4               ;LVI Enable
b_SSREC         EQU     3               ;Short STOP Recovery
b_COPRS         EQU     2               ;COP Rate Select
b_STOP          EQU     1               ;STOP Instruction Enable
b_COPD          EQU     0               ;COP DISable! <-------------

b_URSTD.        EQU     %00010000       ;USB Reset Disable
b_LVIEN.        EQU     %00001000       ;LVI Enable
b_SSREC.        EQU     %00000100       ;Short STOP Recovery
b_COPRS.        EQU     %10000000       ;COP Rate Select
b_STOP.         EQU     %00000010       ;STOP Instruction Enable
b_COPD.         EQU     %00000001       ;COP DISable! <-------------


*************************************************************
* USB Endpoint 0 Data Register;                                                                            *
*************************************************************
UE0D0           EQU     $0020           ;USB Endpoint 0 Data Reg Byte 0
UE0D1           EQU     $0021           ;USB Endpoint 0 Data Reg Byte 1
UE0D2           EQU     $0022           ;USB Endpoint 0 Data Reg Byte 2
UE0D3           EQU     $0023           ;USB Endpoint 0 Data Reg Byte 3
UE0D4           EQU     $0024           ;USB Endpoint 0 Data Reg Byte 4
UE0D5           EQU     $0025           ;USB Endpoint 0 Data Reg Byte 5
UE0D6           EQU     $0026           ;USB Endpoint 0 Data Reg Byte 6
UE0D7           EQU     $0027           ;USB Endpoint 0 Data Reg Byte 7

b_UE0RD7        EQU     7               ;Endpoint 0 Receive Data bit 7
b_UE0RD6        EQU     6               ;Endpoint 0 Receive Data bit 6
b_UE0RD5        EQU     5               ;Endpoint 0 Receive Data bit 5
b_UE0RD4        EQU     4               ;Endpoint 0 Receive Data bit 4
b_UE0RD3        EQU     3               ;Endpoint 0 Receive Data bit 3
b_UE0RD2        EQU     2               ;Endpoint 0 Receive Data bit 2
b_UE0RD1        EQU     1               ;Endpoint 0 Receive Data bit 1
b_UE0RD0        EQU     0               ;Endpoint 0 Receive Data bit 0

b_UE0TD7        EQU     7               ;Endpoint 0 Transmit Data bit 7
b_UE0TD6        EQU     6               ;Endpoint 0 Transmit Data bit 6
b_UE0TD5        EQU     5               ;Endpoint 0 Transmit Data bit 5
b_UE0TD4        EQU     4               ;Endpoint 0 Transmit Data bit 4
b_UE0TD3        EQU     3               ;Endpoint 0 Transmit Data bit 3
b_UE0TD2        EQU     2               ;Endpoint 0 Transmit Data bit 2
b_UE0TD1        EQU     1               ;Endpoint 0 Transmit Data bit 1
b_UE0TD0        EQU     0               ;Endpoint 0 Transmit Data bit 0

b_UE0RD7.       EQU     %10000000       ;Endpoint 0 Receive Data bit 7
b_UE0RD6.       EQU     %01000000       ;Endpoint 0 Receive Data bit 6
b_UE0RD5.       EQU     %00100000       ;Endpoint 0 Receive Data bit 5
b_UE0RD4.       EQU     %00010000       ;Endpoint 0 Receive Data bit 4
b_UE0RD3.       EQU     %00001000       ;Endpoint 0 Receive Data bit 3
b_UE0RD2.       EQU     %00000100       ;Endpoint 0 Receive Data bit 2
b_UE0RD1.       EQU     %00000010       ;Endpoint 0 Receive Data bit 1
b_UE0RD0.       EQU     %00000001       ;Endpoint 0 Receive Data bit 0

b_UE0TD7.       EQU     %10000000       ;Endpoint 0 Transmit Data bit 7
b_UE0TD6.       EQU     %01000000       ;Endpoint 0 Transmit Data bit 6
b_UE0TD5.       EQU     %00100000       ;Endpoint 0 Transmit Data bit 5
b_UE0TD4.       EQU     %00010000       ;Endpoint 0 Transmit Data bit 4
b_UE0TD3.       EQU     %00001000       ;Endpoint 0 Transmit Data bit 3
b_UE0TD2.       EQU     %00000100       ;Endpoint 0 Transmit Data bit 2
b_UE0TD1.       EQU     %00000010       ;Endpoint 0 Transmit Data bit 1
b_UE0TD0.       EQU     %00000001       ;Endpoint 0 Transmit Data bit 0

*************************************************************
* USB Endpoint 1 Data Register;                                                                            *
*************************************************************
UE1D0           EQU     $0028           ;USB Endpoint 1 Data Reg Byte 0
UE1D1           EQU     $0029           ;USB Endpoint 1 Data Reg Byte 1
UE1D2           EQU     $002A           ;USB Endpoint 1 Data Reg Byte 2
UE1D3           EQU     $002B           ;USB Endpoint 1 Data Reg Byte 3
UE1D4           EQU     $002C           ;USB Endpoint 1 Data Reg Byte 4
UE1D5           EQU     $002D           ;USB Endpoint 1 Data Reg Byte 5
UE1D6           EQU     $002E           ;USB Endpoint 1 Data Reg Byte 6
UE1D7           EQU     $002F           ;USB Endpoint 1 Data Reg Byte 7

b_UE1TD7        EQU     7               ;Endpoint 1 Transmit Data bit 7
b_UE1TD6        EQU     6               ;Endpoint 1 Transmit Data bit 6
b_UE1TD5        EQU     5               ;Endpoint 1 Transmit Data bit 5
b_UE1TD4        EQU     4               ;Endpoint 1 Transmit Data bit 4
b_UE1TD3        EQU     3               ;Endpoint 1 Transmit Data bit 3
b_UE1TD2        EQU     2               ;Endpoint 1 Transmit Data bit 2
b_UE1TD1        EQU     1               ;Endpoint 1 Transmit Data bit 1
b_UE1TD0        EQU     0               ;Endpoint 1 Transmit Data bit 0

b_UE1TD7.       EQU     %10000000       ;Endpoint 1 Transmit Data bit 7
b_UE1TD6.       EQU     %01000000       ;Endpoint 1 Transmit Data bit 6
b_UE1TD5.       EQU     %00100000       ;Endpoint 1 Transmit Data bit 5
b_UE1TD4.       EQU     %00010000       ;Endpoint 1 Transmit Data bit 4
b_UE1TD3.       EQU     %00001000       ;Endpoint 1 Transmit Data bit 3
b_UE1TD2.       EQU     %00000100       ;Endpoint 1 Transmit Data bit 2
b_UE1TD1.       EQU     %00000010       ;Endpoint 1 Transmit Data bit 1
b_UE1TD0.       EQU     %00000001       ;Endpoint 1 Transmit Data bit 0

*************************************************************
* USB Endpoint 2 Data Register;                                                                            *
*************************************************************
UE2D0           EQU     $0030           ;USB Endpoint 2 Data Reg Byte 0
UE2D1           EQU     $0031           ;USB Endpoint 2 Data Reg Byte 1
UE2D2           EQU     $0032           ;USB Endpoint 2 Data Reg Byte 2
UE2D3           EQU     $0033           ;USB Endpoint 2 Data Reg Byte 3
UE2D4           EQU     $0034           ;USB Endpoint 2 Data Reg Byte 4
UE2D5           EQU     $0035           ;USB Endpoint 2 Data Reg Byte 5
UE2D6           EQU     $0036           ;USB Endpoint 2 Data Reg Byte 6
UE2D7           EQU     $0037           ;USB Endpoint 2 Data Reg Byte 7

b_UE2RD7        EQU     7               ;Endpoint 2 Receive Data bit 7
b_UE2RD6        EQU     6               ;Endpoint 2 Receive Data bit 6
b_UE2RD5        EQU     5               ;Endpoint 2 Receive Data bit 5
b_UE2RD4        EQU     4               ;Endpoint 2 Receive Data bit 4
b_UE2RD3        EQU     3               ;Endpoint 2 Receive Data bit 3
b_UE2RD2        EQU     2               ;Endpoint 2 Receive Data bit 2
b_UE2RD1        EQU     1               ;Endpoint 2 Receive Data bit 1
b_UE2RD0        EQU     0               ;Endpoint 2 Receive Data bit 0

b_UE2TD7        EQU     7               ;Endpoint 2 Transmit Data bit 7
b_UE2TD6        EQU     6               ;Endpoint 2 Transmit Data bit 6
b_UE2TD5        EQU     5               ;Endpoint 2 Transmit Data bit 5
b_UE2TD4        EQU     4               ;Endpoint 2 Transmit Data bit 4
b_UE2TD3        EQU     3               ;Endpoint 2 Transmit Data bit 3
b_UE2TD2        EQU     2               ;Endpoint 2 Transmit Data bit 2
b_UE2TD1        EQU     1               ;Endpoint 2 Transmit Data bit 1
b_UE2TD0        EQU     0               ;Endpoint 2 Transmit Data bit 0

b_UE2RD7.       EQU     %10000000       ;Endpoint 2 Receive Data bit 7
b_UE2RD6.       EQU     %01000000       ;Endpoint 2 Receive Data bit 6
b_UE2RD5.       EQU     %00100000       ;Endpoint 2 Receive Data bit 5
b_UE2RD4.       EQU     %00010000       ;Endpoint 2 Receive Data bit 4
b_UE2RD3.       EQU     %00001000       ;Endpoint 2 Receive Data bit 3
b_UE2RD2.       EQU     %00000100       ;Endpoint 2 Receive Data bit 2
b_UE2RD1.       EQU     %00000010       ;Endpoint 2 Receive Data bit 1
b_UE2RD0.       EQU     %00000001       ;Endpoint 2 Receive Data bit 0

b_UE2TD7.       EQU     %10000000       ;Endpoint 2 Transmit Data bit 7
b_UE2TD6.       EQU     %01000000       ;Endpoint 2 Transmit Data bit 6
b_UE2TD5.       EQU     %00100000       ;Endpoint 2 Transmit Data bit 5
b_UE2TD4.       EQU     %00010000       ;Endpoint 2 Transmit Data bit 4
b_UE2TD3.       EQU     %00001000       ;Endpoint 2 Transmit Data bit 3
b_UE2TD2.       EQU     %00000100       ;Endpoint 2 Transmit Data bit 2
b_UE2TD1.       EQU     %00000010       ;Endpoint 2 Transmit Data bit 1
b_UE2TD0.       EQU     %00000001       ;Endpoint 2 Transmit Data bit 0


*************************************************************
; USB Address Register
*************************************************************
UADDR           EQU     $0038           ;USB Address Register
b_USBEN         EQU     7               ;USB Enable
b_UADD6         EQU     6               ;USB Address bit 6
b_UADD5         EQU     5               ;USB Address bit 5
b_UADD4         EQU     4               ;USB Address bit 4
b_UADD3         EQU     3               ;USB Address bit 3
b_UADD2         EQU     2               ;USB Address bit 2
b_UADD1         EQU     1               ;USB Address bit 1
b_UADD0         EQU     0               ;USB Address bit 0

b_USBEN.        EQU     %01000000       ;USB Enable
b_UADD6.        EQU     %00100000       ;USB Address bit 6
b_UADD5.        EQU     %00010000       ;USB Address bit 5
b_UADD4.        EQU     %00001000       ;USB Address bit 4
b_UADD3.        EQU     %00000100       ;USB Address bit 3
b_UADD2.        EQU     %00000010       ;USB Address bit 2
b_UADD1.        EQU     %00000010       ;USB Address bit 1
b_UADD0.        EQU     %00000001       ;USB Address bit 0

*************************************************************
; USB Interrupt Register 0
*************************************************************
UIR0            EQU     $0039           ;USB Interrupt Register 0
b_EOPIE         EQU     7               ;EOP Detect Interrupt Enable
b_SUSPND        EQU     6               ;USB suspend flag
b_TXD2IE        EQU     5               ;EndPoint 2 Tx Interrupt Flag
b_RXD2IE        EQU     4               ;EndPoint 2 Rx Interrupt Flag
b_TXD1IE        EQU     3               ;EndPoint 1 Tx Interrupt Flag
b_TXD0IE        EQU     1               ;EndPoint 0 Tx Interrupt Flag
b_RXD0IE        EQU     0               ;EndPoint 0 Rx Interrupt Flag

b_EOPIE.        EQU     %10000000       ;EOP Detect Interrupt Enable
b_SUSPND.       EQU     %01000000       ;USB suspend flag
b_TXD2IE.       EQU     %00100000       ;EndPoint 2 Tx Interrupt Flag
b_RXD2IE.       EQU     %00010000       ;EndPoint 2 Rx Interrupt Flag
b_TXD1IE.       EQU     %00001000       ;EndPoint 1 Tx Interrupt Flag
b_TXD0IE.       EQU     %00000010       ;EndPoint 0 Tx Interrupt Flag
b_RXD0IE.       EQU     %00000001       ;EndPoint 0 Rx Interrupt Flag

*************************************************************
; USB Interrupt Register 1
*************************************************************
UIR1            EQU     $003A           ;USB Interrupt Register 1
b_EOPF          EQU     7               ;EOP Detect Flag
b_RSTF          EQU     6               ;USB Reset Flag
b_TXD2F         EQU     5               ;EndPoint 2 Data Tx Flag
b_RXD2F         EQU     4               ;EndPoint 2 Data Rx Flag
b_TXD1F         EQU     3               ;EndPoint 1 Data Tx Flag
b_RESUMF        EQU     2               ;Resume Flag
b_TXD0F         EQU     1               ;EndPoint 0 Data Tx Flag
b_RXD0F         EQU     0               ;EndPoint 0 Data Rx Flag

b_EOPF.         EQU     %10000000       ;EOP Detect Flag
b_RSTF.         EQU     %01000000       ;USB Reset Flag
b_TXD2F.        EQU     %00100000       ;EndPoint 2 Data Tx Flag
b_RXD2F.        EQU     %00010000       ;EndPoint 2 Data Rx Flag
b_TXD1F.        EQU     %00001000       ;EndPoint 1 Data Tx Flag
b_RESUMF.       EQU     %00000100       ;Resume Flag
b_TXD0F.        EQU     %00000010       ;EndPoint 0 Data Tx Flag
b_RXD0F.        EQU     %00000001       ;EndPoint 0 Data Rx Flag

*************************************************************
; USB Control Register 0
*************************************************************
UCR0            EQU     $003B           ;USB Control Register 0
b_T0SEQ         EQU     7               ;EndPoint 0 Tx Sequence Bit
b_TX0E          EQU     5               ;EndPoint 0 Tx Enable
b_RX0E          EQU     4               ;EndPoint 0 Rx Enable
b_TP0SIZ3       EQU     3               ;EP0 Tx Data Packet Size b_3
b_TP0SIZ2       EQU     2               ;EP0 Tx Data Packet Size b_2
b_TP0SIZ1       EQU     1               ;EP0 Tx Data Packet Size b_1
b_TP0SIZ0       EQU     0               ;EP0 Tx Data Packet Size b_0

b_T0SEQ.        EQU     %10000000       ;EndPoint 0 Tx Sequence Bit
b_TX0E.         EQU     %00100000       ;EndPoint 0 Tx Enable
b_RX0E.         EQU     %00010000       ;EndPoint 0 Rx Enable
b_TP0SIZ3.      EQU     %00001000       ;EP0 Tx Data Packet Size b_3
b_TP0SIZ2.      EQU     %00000100       ;EP0 Tx Data Packet Size b_2
b_TP0SIZ1.      EQU     %00000010       ;EP0 Tx Data Packet Size b_1
b_TP0SIZ0.      EQU     %00000001       ;EP0 Tx Data Packet Size b_0

*************************************************************
; USB Control Register 1
*************************************************************
UCR1            EQU     $003C           ;USB Control Register 1
b_T1SEQ         EQU     7               ;Endpoint 1 Tx Sequence bit
b_STALL1        EQU     6               ;Endpoint 1 Force STALL bit
b_TX1E          EQU     5               ;Endpoint 1 Tx Enable
b_FRESUM	EQU     4               ;Force Resume to Host
b_TP1SIZ3       EQU     3               ;EP1 Tx Data Packet Size b_3
b_TP1SIZ2       EQU     2               ;EP1 Tx Data Packet Size b_2
b_TP1SIZ1       EQU     1               ;EP1 Tx Data Packet Size b_1
b_TP1SIZ0       EQU     0               ;EP1 Tx Data Packet Size b_0

b_T1SEQ.        EQU     %10000000       ;Endpoint 1 Tx Sequence bit
b_STALL1.       EQU     %01000000       ;Endpoint 1 Force STALL bit
b_TX1E.         EQU     %00100000       ;Endpoint 1 Tx Enable
b_FRESUM.	EQU     %00010000       ;Force Resume to Host
b_TP1SIZ3.      EQU     %00001000       ;EP1 Tx Data Packet Size b_3
b_TP1SIZ2.      EQU     %00000100       ;EP1 Tx Data Packet Size b_2
b_TP1SIZ1.      EQU     %00000010       ;EP1 Tx Data Packet Size b_1
b_TP1SIZ0.      EQU     %00000001       ;EP1 Tx Data Packet Size b_0


*************************************************************
; USB Status Register 0
*************************************************************
USR0            EQU     $003D           ;USB Control Register 0
b_R0SEQ         EQU     7               ;Endpoint 0 Rx Sequence bit
b_RXSETUP       EQU     6               ;SETUP Token Detect bit
b_RP0SIZ3       EQU     3               ;EP0 Rx Data Packet Size b_3
b_RP0SIZ2       EQU     2               ;EP0 Rx Data Packet Size b_2
b_RP0SIZ1       EQU     1               ;EP0 Rx Data Packet Size b_1
b_RP0SIZ0       EQU     0               ;EP0 Rx Data Packet Size b_0

b_R0SEQ.        EQU     %10000000       ;Endpoint 0 Rx Sequence bit
b_RXSETUP.      EQU     %00100000       ;SETUP Token Detect bit
b_RP0SIZ3.      EQU     %00001000       ;EP0 Rx Data Packet Size b_3
b_RP0SIZ2.      EQU     %00000100       ;EP0 Rx Data Packet Size b_2
b_RP0SIZ1.      EQU     %00000010       ;EP0 Rx Data Packet Size b_1
b_RP0SIZ0.      EQU     %00000001       ;EP0 Rx Data Packet Size b_0

*************************************************************
; USB Status Register 1
*************************************************************
USR1            EQU     $003E           ;USB Control Register 0
b_R2SEQ         EQU     7               ;Endpoint 2 Rx Sequence bit
b_TXACK         EQU     6               ;ACK Token Tx bit
b_TXNAK         EQU     5               ;NAK Token Tx bit
b_TXSTL         EQU     4               ;STALL Token Tx bit
b_RP2SIZ3       EQU     3               ;EP2 Rx Data Packet Size b_3
b_RP2SIZ2       EQU     2               ;EP2 Rx Data Packet Size b_2
b_RP2SIZ1       EQU     1               ;EP2 Rx Data Packet Size b_1
b_RP2SIZ0       EQU     0               ;EP2 Rx Data Packet Size b_0

b_R2SEQ.        EQU     %10000000       ;Endpoint 2 Rx Sequence bit
b_TXACK.        EQU     %01000000       ;ACK Token Tx bit
b_TXNAK.        EQU     %00100000       ;NAK Token Tx bit
b_TXSTL.        EQU     %00010000       ;STALL Token Tx bit
b_RP2SIZ3.      EQU     %00001000       ;EP2 Rx Data Packet Size b_3
b_RP2SIZ2.      EQU     %00000100       ;EP2 Rx Data Packet Size b_2
b_RP2SIZ1.      EQU     %00000010       ;EP2 Rx Data Packet Size b_1
b_RP2SIZ0.      EQU     %00000001       ;EP2 Rx Data Packet Size b_0
*************************************************************
;
*************************************************************
;               EQU     $00             ;
b_7             EQU     7               ;
b_6             EQU     6               ;
b_5             EQU     5               ;
b_4             EQU     4               ;
b_3             EQU     3               ;
b_2             EQU     2               ;
b_1             EQU     1               ;
b_0             EQU     0               ;

b_7.            EQU     %10000000       ;
b_6.            EQU     %01000000       ;
b_5.            EQU     %00100000       ;
b_4.            EQU     %00010000       ;
b_3.            EQU     %00001000       ;
b_2.            EQU     %00000100       ;
b_1.            EQU     %00000010       ;
b_0.            EQU     %00000001       ;

*************************************************************
; Break Status Register
*************************************************************
BSR:            EQU     $FE00           ;Break Status Register
SBSW:           EQU     1               ;SIM Break STOP/WAIT
SBSW.:          EQU     %00000010       ;SIM Break STOP/WAIT


*************************************************************
; Reset Status Register
*************************************************************
RSR             EQU     $FE01           ;Reset Status Register
POR:            EQU     7               ;Last RESET by Power On Reset
PIN:            EQU     6               ;Pin reset
COP:            EQU     5               ;Last RESET by COP
ILOP:           EQU     4               ;Last RESET by Illegal Opcode
ILAD:           EQU     3               ;Last RESET by Illegal Address
USB:            EQU     2               ;Forced Monitor Mode Entry Reset
LVI:            EQU     1               ;Last RESET by Low Voltage Inhibit

POR.:           EQU     %10000000       ;Last RESET by Power On Reset
PIN.:           EQU     %01000000       ;Pin reset
COP.:           EQU     %00100000       ;Last RESET by COP
ILOP.:          EQU     %00010000       ;Last RESET by Illegal Opcode
ILAD.:          EQU     %00001000       ;Last RESET by Illegal Address
USB.:           EQU     %00000100       ;Forced Monitor Mode Entry Reset
LVI.:           EQU     %00000010       ;Last RESET by Low Voltage Inhibit



*************************************************************
; Break Flag Control Register
*************************************************************
BFCR            EQU     $FE03           ;Break Flag Control Register
BCFE:           EQU     7               ;Break Clear Flag Enable
BCFE.:          EQU     %10000000       ;Break Clear Flag Enable


*************************************************************
* Interrupt Status Registers
*************************************************************
INT1            EQU     $FE04           ;Interrupt Status Register 1
IF6             EQU     7
IF5             EQU     6
IF4             EQU     5
IF3             EQU     4
IF2             EQU     3
IF1             EQU     2

INT2            EQU     $FE05           ;Interrupt Status Register 2
IF14            EQU     7
IF13            EQU     6
IF12            EQU     5
IF11            EQU     4
IF10            EQU     3
IF9             EQU     2
IF8             EQU     1
IF7             EQU     0


*************************************************************
* FLASH CONTROL REGISTER
*************************************************************
FLCR            EQU     $FE08           ;FLASH CONTROL REGISTER
HVEN:           EQU     3               ;High Voltage Enable
MASS:           EQU     2               ;Mass Erase Enable
ERASE:          EQU     1               ;Erase Control
PGM:            EQU     0               ;Program Control
HVEN.:          EQU     %00001000       ;High Voltage Enable
MASS.:          EQU     %00000100       ;Mass Erase Enable
ERASE.:         EQU     %00000010       ;Erase Control
PGM.:           EQU     %00000001       ;Program Control



*************************************************************
* FLASH Block Protect Register
*************************************************************
FLBPR           EQU     $FE09
BPR7            EQU     7               ;Flash Block Protect Bit 7
BPR6            EQU     6               ;Flash Block Protect Bit 6
BPR5            EQU     5               ;Flash Block Protect Bit 5
BPR4            EQU     4               ;Flash Block Protect Bit 4
BPR3            EQU     3               ;Flash Block Protect Bit 3
BPR2            EQU     2               ;Flash Block Protect Bit 2
BPR1            EQU     1               ;Flash Block Protect Bit 1
BPR0            EQU     0               ;Flash Block Protect Bit 0

BPR7.           EQU     %10000000       ;Flash Block Protect Bit 7
BPR6.           EQU     %01000000       ;Flash Block Protect Bit 6
BPR5.           EQU     %00100000       ;Flash Block Protect Bit 5
BPR4.           EQU     %00010000       ;Flash Block Protect Bit 4
BPR3.           EQU     %00001000       ;Flash Block Protect Bit 3
BPR2.           EQU     %00000100       ;Flash Block Protect Bit 2
BPR1.           EQU     %00000010       ;Flash Block Protect Bit 1
BPR0.           EQU     %00000001       ;Flash Block Protect Bit 0


*************************************************************
* BREAK AND COP REGISTERS
*************************************************************
BRKH            EQU     $FE0C           ;Break Address Register High
BRKL            EQU     $FE0D           ;Break Address Register Low
BRKSCR          EQU     $FE0E           ;Break Status and Control Register
BRKE            EQU     7
BRKA            EQU     6

COPCTL          EQU     $FFFF           ;COP Control Register


*************************************************************
*  Memory Map Equates
*************************************************************
RAM_BEG         EQU     $0080
RAM_END         EQU     $01FF
ROM_BEG         EQU     $BA00
FLASH_BEG       EQU     $BA00


*************************************************************
* VECTORS
*************************************************************
VECTORS			EQU		$FFE0
N_VECTORS		EQU		$F7E0

;*****************************************************************************
;              RESET and Interrupt Vectors                                   *
;                                                                            *
; For any interrupts used, the ORG and FDB statement given below should be   *
; placed in the routine defining the vector.                                 *
;                                                                            *
; The labels *_SVR should be placed at the beginning of the interrupt        *
; service routines.                                                          *
;*****************************************************************************
;                                                                            *
;                 org     Vectors                                            *
;                                                                            *
;                 org     TIMOver_INT                                        *
;                 fdb     TIMOver_SVR                                        *
;                                                                            *
;                 org     TIMCh1_INT                                         *
;                 fdb     TIMCh1_SVR                                         *
;                                                                            *
;                 org     TIMCh0_INT                                         *
;                 fdb     TIMCh0_SVR                                         *
;                                                                            *
;                 org     IRQ1/KBD_INT                                       *
;                 fdb     IRQ1/KBD_SVR                                       *
;                                                                            *
;                 org     SWI_INT                                            *
;                 fdb     SWI_SVR                                            *
;                                                                            *
;                 org     RESET                                              *
;                 fdb     Start                                              *
;                                                                            *
;*****************************************************************************



b_MSB           equ     7
b_LSB           equ     0
