*****************************************************************************
*                                         Copyright (c) Motorola 2001		*
*  File Name:	MACRO8.H													*
*                        													*
*  Description:	Macro Library for HC08 										*
*				the firmware upgrade through the USB interface				*
*																			*
*  Assembler:	CodeWarrior													*
*  Version:		2.1								                        	*
*																			*
*  Current Revision:	1.1													*
*  Current Revision Release Date:	2001.06.30 by Derek Lau					*
*																			*
*  Updated History															*
*   Rev		YYYY.MM.DD  Author			Description of Change				*
*	---		----------- ------			---------------------				*
*	0.1		1998.04.29	Tony			Created								*
*	1.0		1998.08.03	Tony			General release						*
*	1.1		2001.06.30	Derek Lau		Modified for MCUez					*
*****************************************************************************
* This Program is a freeware to demonstrate the operation of Motorola		*
* Microcontroller. Motorola reserves the right to make changes without		*
* further notice to any product herein to improve reliability, function, or *
* design. Motorola does	not assume any liability arising out of the 		*
* application or use of any product, circuit, or software described herein; *
* neither does it convey any license under its patent rights nor the rights *
* of others. Motorola products are not designed, intended, or authorized 	*
* for use as components	in systems intended for surgical implant into the	*
* body, or other applications intended to support life, or for any other	*
* application in which the failure of the Motorola product could create a	*
* situation where personal injury or death may occur. Should Buyer purchase	*
* or use Motorola products for any such intended or unauthorized 			*
* application, Buyer shall indemnify and hold Motorola and its officers,	*
* employees, subsidiaries, affiliates, and distributors harmless against	*
* all claims, costs, damages, and expenses, and reasonable attorney fees	*
* arising out of, directly or indirectly, any claim of personal injury or	*
* death associated with such unintended or unauthorized use, even if such	*
* claim alleges that Motorola was negligent regarding the design or 		*
* manufacture of the part. Motorola	and the Motorola logo* are registered	*
* trademarks of Motorola Inc												*
*****************************************************************************

* ====== MACRO Defination ================================================
* TOGGLE <bit>,<port>           toggle <bit> of <port>

* LMOV <source>,<dest.>         copy <source> to <dest.>
* KMOV <ctst>,<dest.>           copy #<ctst> to <dest.>

* KCMPEQ <ctst>,<addr>          if (reg_A == #<ctst>), bra <addr>
* KCMPNE <ctst>,<addr>          if (reg_A != #<ctst>), bra <addr>
* KCMPHI <ctst>,<addr>          if (reg_A > #<ctst>), bra <addr>
* KCMPLO <ctst>,<addr>          if (reg_A < #<ctst>), bra <addr>
* KCMPHS <ctst>,<addr>          if (reg_A >= #<ctst>), bra <addr>
* KCMPLS <ctst>,<addr>          if (reg_A <= #<ctst>), bra <addr>

* CMPEQ  <var>,<addr>           if (reg_A == <var>), bra <addr>
* CMPNE  <var>,<addr>           if (reg_A != <var>), bra <addr>
* CMPHI  <var>,<addr>           if (reg_A > <var>), bra <addr>
* CMPLO  <var>,<addr>           if (reg_A < <var>), bra <addr>
* CMPHS  <var>,<addr>           if (reg_A >= <var>), bra <addr>
* CMPLS  <var>,<addr>           if (reg_A <= <var>), bra <addr>

* KCPXNE <ctst>,<addr>          if (reg_X != #<ctst>), bra <addr>
* KCPXEQ <ctst>,<addr>          if (reg_X = #<ctst>), bra <addr>
* KCPXHI <ctst>,<addr>          if (reg_X > #<ctst>), bra <addr>
* KCPXLO <ctst>,<addr>          if (reg_X < #<ctst>), bra <addr>
* KCPXHS <ctst>,<addr>          if (reg_X >= #<ctst>), bra <addr>
* KCPXLS <ctst>,<addr>          if (reg_X <= #<ctst>), bra <addr>

* CPXHI  <var>,<addr>           if (reg_X > <var>), bra <addr>
* CPXLO  <var>,<addr>           if (reg_X < <var>), bra <addr>
* CPXEQ  <var>,<addr>           if (reg_X = <var>), bra <addr>
* CPXNE  <var>,<addr>           if (reg_X != <var>), bra <addr>
* CPXHS  <var>,<addr>           if (reg_X >= <var>), bra <addr>
* CPXLS  <var>,<addr>           if (reg_X <= <var>), bra <addr>




 PAGE
* ========================================================================
* MACRO - toggle bit %1 of Port %2
TOGGLE: MACRO
        lda     \2 ; CONV_02: Percent detected in Macro.
        eor     #(1<<\1)
        sta     \2 ; CONV_02: Percent detected in Macro.
 ENDM


* ========================================================================
* MACRO - copy %1 to %2
*         where %1 or/and %2 are memory location outside page 0
LMOV: MACRO
        lda     \1 ; CONV_02: Percent detected in Macro.
        sta     \2 ; CONV_02: Percent detected in Macro.
 ENDM

* MACRO - copy #%1 to %2
KMOV: MACRO
        mov     #\1,\2 ; CONV_02: Percent detected in Macro.
 ENDM


* ========================================================================

* MACRO - if (reg_A != #<ctst>), bra <addr>
KCMPNE: MACRO
        cmp     #\1 ; CONV_02: Percent detected in Macro.
        bne     \2 ; CONV_02: Percent detected in Macro.
 ENDM

* MACRO - if (reg_A = #<ctst>), bra <addr>
KCMPEQ: MACRO
        cmp     #\1 ; CONV_02: Percent detected in Macro.
        beq     \2 ; CONV_02: Percent detected in Macro.
 ENDM

* MACRO - if (reg_A > #<ctst>), bra <addr>
KCMPHI: MACRO
        cmp     #\1 ; CONV_02: Percent detected in Macro.
        bhi     \2 ; CONV_02: Percent detected in Macro.
 ENDM

* MACRO - if (reg_A < #<ctst>), bra <addr>
KCMPLO: MACRO
        cmp     #\1 ; CONV_02: Percent detected in Macro.
        blo     \2 ; CONV_02: Percent detected in Macro.
 ENDM

* MACRO - if (reg_A >= #<ctst>), bra <addr>
KCMPHS: MACRO
        cmp     #\1 ; CONV_02: Percent detected in Macro.
        bhs     \2 ; CONV_02: Percent detected in Macro.
 ENDM

* MACRO - if (reg_A <= #<ctst>), bra <addr>
KCMPLS: MACRO
        cmp     #\1 ; CONV_02: Percent detected in Macro.
        bls     \2 ; CONV_02: Percent detected in Macro.
 ENDM


* ========================================================================

* MACRO - if (reg_A != <var>), bra <addr>
CMPNE: MACRO
        cmp     \1 ; CONV_02: Percent detected in Macro.
        bne     \2 ; CONV_02: Percent detected in Macro.
 ENDM

* MACRO - if (reg_A = <var>), bra <addr>
CMPEQ: MACRO
        cmp     \1 ; CONV_02: Percent detected in Macro.
        beq     \2 ; CONV_02: Percent detected in Macro.
 ENDM
         
* MACRO - if (reg_A > <var>), bra <addr>
CMPHI: MACRO
        cmp     \1 ; CONV_02: Percent detected in Macro.
        bhi     \2 ; CONV_02: Percent detected in Macro.
 ENDM

* MACRO - if (reg_A < <var>), bra <addr>
CMPLO: MACRO
        cmp     \1 ; CONV_02: Percent detected in Macro.
        blo     \2 ; CONV_02: Percent detected in Macro.
 ENDM

* MACRO - if (reg_A >= <var>), bra <addr>
CMPHS: MACRO
        cmp     \1 ; CONV_02: Percent detected in Macro.
        bhs     \2 ; CONV_02: Percent detected in Macro.
 ENDM

* MACRO - if (reg_A <= <var>), bra <addr>
CMPLS: MACRO
        cmp     \1 ; CONV_02: Percent detected in Macro.
        bls     \2 ; CONV_02: Percent detected in Macro.
 ENDM


* ========================================================================

* MACRO - if (reg_X != #<ctst>), bra <addr>
KCPXNE: MACRO
        cpx     #\1 ; CONV_02: Percent detected in Macro.
        bne     \2 ; CONV_02: Percent detected in Macro.
 ENDM

* MACRO - if (reg_X = #<ctst>), bra <addr>
KCPXEQ: MACRO
        cpx     #\1 ; CONV_02: Percent detected in Macro.
        beq     \2 ; CONV_02: Percent detected in Macro.
 ENDM

* MACRO - if (reg_X > #<ctst>), bra <addr>
KCPXHI: MACRO
        cpx     #\1 ; CONV_02: Percent detected in Macro.
        bhi     \2 ; CONV_02: Percent detected in Macro.
 ENDM

* MACRO - if (reg_X < #<ctst>), bra <addr>
KCPXLO: MACRO
        cpx     #\1 ; CONV_02: Percent detected in Macro.
        blo     \2 ; CONV_02: Percent detected in Macro.
 ENDM

* MACRO - if (reg_X >= #<ctst>), bra <addr>
KCPXHS: MACRO
        cpx     #\1 ; CONV_02: Percent detected in Macro.
        bhs     \2 ; CONV_02: Percent detected in Macro.
 ENDM

* MACRO - if (reg_X <= #<ctst>), bra <addr>
KCPXLS: MACRO
        cpx     #\1 ; CONV_02: Percent detected in Macro.
        bls     \2 ; CONV_02: Percent detected in Macro.
 ENDM


* ========================================================================

* MACRO - if (reg_X != <var>), bra <addr>
CPXNE: MACRO
        cpx     \1 ; CONV_02: Percent detected in Macro.
        bne     \2 ; CONV_02: Percent detected in Macro.
 ENDM

* MACRO - if (reg_X = <var>), bra <addr>
CPXEQ: MACRO
        cpx     \1 ; CONV_02: Percent detected in Macro.
        beq     \2 ; CONV_02: Percent detected in Macro.
 ENDM

* MACRO - if (reg_X > <var>), bra <addr>
CPXHI: MACRO
        cpx     \1 ; CONV_02: Percent detected in Macro.
        bhi     \2 ; CONV_02: Percent detected in Macro.
 ENDM

* MACRO - if (reg_X < <var>), bra <addr>
CPXLO: MACRO
        cpx     \1 ; CONV_02: Percent detected in Macro.
        blo     \2 ; CONV_02: Percent detected in Macro.
 ENDM

* MACRO - if (reg_X >= <var>), bra <addr>
CPXHS: MACRO
        cpx     \1 ; CONV_02: Percent detected in Macro.
        bhs     \2 ; CONV_02: Percent detected in Macro.
 ENDM

* MACRO - if (reg_X <= <var>), bra <addr>
CPXLS: MACRO
        cpx     \1 ; CONV_02: Percent detected in Macro.
        bls     \2 ; CONV_02: Percent detected in Macro.
 ENDM



* ========================================================================
        end
